Cancel One Bulk Result by Result ID
Cancel a running bulk scraping job using the bulk result ID returned from the bulk rerun response, with the MrScraper API.
Cancel a bulk scraping job using the bulk result ID returned from the bulk rerun response.
Note
Use the Platform API Server (https://api.app.mrscraper.com) host when calling this endpoint.
Authorization
apiKey In: header
Path Parameters
Bulk result ID
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://api.app.mrscraper.com/api/v1/scrapers-bulks/result/{resultId}/cancel"{
"message": "Successful operation!",
"data": {
"id": "ec5d81b9-55fa-4949-bba9-cceb448cb950",
"bulkUrls": [
"https://books.toscrape.com/catalogue/page-1.html",
"https://books.toscrape.com/catalogue/page-2.html",
"https://books.toscrape.com/catalogue/page-3.html",
"https://books.toscrape.com/catalogue/page-4.html",
"https://books.toscrape.com/catalogue/page-5.html",
"https://books.toscrape.com/catalogue/page-6.html",
"https://books.toscrape.com/catalogue/page-7.html"
],
"canceledUrls": [
"https://books.toscrape.com/catalogue/page-5.html",
"https://books.toscrape.com/catalogue/page-6.html",
"https://books.toscrape.com/catalogue/page-7.html"
]
}
}{
"message": "Unauthorized access",
"error": "Unauthorized"
}{
"message": "Resource not found",
"error": "Not Found",
"statusCode": 404
}{
"message": "Validation failed",
"error": "Unprocessable Entity",
"statusCode": 422
}{
"message": "Too many requests. Please try again later."
}Cancel All Bulk Results by Scraper ID PATCH
Cancel the remaining pending URLs of a running bulk scraping job by scraper ID, using a single PATCH request to the MrScraper API endpoint.
Get All Results GET
Retrieve all scraping results with data, status, token usage, and file paths using the MrScraper API, with sorting, filtering, and date ranges.